Bug 220250 - devel/ffcall: updated to 1.13, take maintainership
Summary: devel/ffcall: updated to 1.13, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-24 12:20 UTC by Jov
Modified: 2017-07-23 11:40 UTC (History)
2 users (show)

See Also:
amutu: maintainer-feedback+


Attachments
ffcall-1.13.diff (5.74 KB, patch)
2017-06-24 12:20 UTC, Jov
no flags Details | Diff
ffcall-1.13.diff (5.72 KB, patch)
2017-06-28 03:16 UTC, Jov
no flags Details | Diff
ffcall.diff (7.03 KB, patch)
2017-06-30 17:19 UTC, Richard Gallamore
no flags Details | Diff
ffcall.diff (7.04 KB, patch)
2017-06-30 17:48 UTC, Richard Gallamore
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-06-24 12:20:33 UTC
Created attachment 183762 [details]
ffcall-1.13.diff

QA:
portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

poudriere testport pass on 11.0R-amd64

the upstream push the update(https://lists.freebsd.org/pipermail/freebsd-ports/2017-June/109211.html) on mail list and advice:

>According to [1][2], you are packaging libffcall for FreeBSD.
>
>I invite you to upgrade to version 1.13.
>With it, you can remove the BROKEN_* lines from [2].
>Also, you will no longer need patch-avcall_avcall-sparc64.S [3].
Comment 1 Richard Gallamore freebsd_committer 2017-06-27 23:11:29 UTC
Hello Jov, can you please change the MASTER_SITES= to use the GNU group instead of hardcoding to only the one specified site. This will require MASTER_SITES_SUBDIR as well.

Actually, it would probably be best to change this portname to the more accurate, libffcall, then _SUBDIR and DISTNAME wouldn't be required at all.
Comment 2 Jov 2017-06-28 03:16:06 UTC
Created attachment 183868 [details]
ffcall-1.13.diff

use GNU in MASTER_SITES
Comment 3 Jov 2017-06-28 03:24:25 UTC
(In reply to Richard Gallamore from comment #1)
I just update the patch to use GNU Macros.

Yes, this port should be renamed to libffcall.But there are 4 ports depend on the port:
for Build:
>lang/clisp
>lang/gforth
>math/freemat-mpi
for Libraries:
>lang/qscheme

These ports should be changed at the same time.I think it is better to just update the port in this PR, and open a separate PR to make the rename&fix all these ports. Any idea?
Comment 4 Richard Gallamore freebsd_committer 2017-06-28 03:52:31 UTC
(In reply to Jov from comment #3)
I agree, keep them separate. Make this an update and a follow up PR for moving the port with the updated DEPENDS. This should be best.
Comment 5 Richard Gallamore freebsd_committer 2017-06-30 17:19:14 UTC
Created attachment 183945 [details]
ffcall.diff

A commit was made recently that rejects much of this patch. I updated the patch and added a couple fixed. Can you please look over it and approve if it looks good. Thanks.
Comment 6 Richard Gallamore freebsd_committer 2017-06-30 17:48:46 UTC
Created attachment 183950 [details]
ffcall.diff

Fixed small mistake, hardcoded portname.
Comment 7 Jov 2017-06-30 22:59:23 UTC
Comment on attachment 183950 [details]
ffcall.diff

LGTM
Comment 8 Jov 2017-06-30 22:59:24 UTC
Comment on attachment 183950 [details]
ffcall.diff

LGTM
Comment 9 commit-hook freebsd_committer 2017-07-01 20:29:01 UTC
A commit references this bug:

Author: ultima
Date: Sat Jul  1 20:28:10 UTC 2017
New revision: 444836
URL: https://svnweb.freebsd.org/changeset/ports/444836

Log:
  * Updated to 1.13
  * New maintainer Jov <amutu@amutu.com>
  * License changed to GPLv2+

  Changelog: https://lists.freebsd.org/pipermail/freebsd-ports/2017-June/109211.html

  PR:		220250
  Submitted by:	Jov <amutu@amutu.com> (maintainer)
  Reviewed by:	lifanov (mentor), matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11428

Changes:
  head/devel/ffcall/Makefile
  head/devel/ffcall/distinfo
  head/devel/ffcall/files/
  head/devel/ffcall/pkg-plist
Comment 10 Richard Gallamore freebsd_committer 2017-07-01 20:31:56 UTC
Committed, thanks! You can CC me for the libffcall move.